
FWG Internal - Feature #23844

FWG: Staging web app: Settings: COH update: Need to show the pop up before updating the COH.

February 25, 2025 07:58 AM - Palash Tembhurnekar

Status: Closed Start date: February 25, 2025

Priority: Normal Due date:  

Assignee: Dinesh Pedagada % Done: 0%

Category:  Estimated time: 0:00 hour

Target version:  Spent time: 0:00 hour

Description

In COH update, when we click on the Save button it should also ask whether you want to re-calculate transaction data? with Yes

or No buttons and here If clicked yes then hit re-calculate txn data and save. If clicked No, don't re-calculate txn data and save. also if

selected no then update the toast message accordingly Portfolio Updated without ReCal txn data.

Shared by client

History

#1 - February 25, 2025 07:59 AM - Palash Tembhurnekar

- Description updated

#2 - February 25, 2025 07:59 AM - Palash Tembhurnekar

- Description updated

#3 - February 27, 2025 04:59 PM - Dinesh Pedagada

- Status changed from New to In Progress

#4 - February 28, 2025 08:59 AM - Dinesh Pedagada

- Status changed from In Progress to Resolved

#5 - February 28, 2025 09:30 AM - Palash Tembhurnekar

Verified on staging web app, now on the Update COH when clicked on the Save button then it asks Re-calculate the transaction data? in the Pop

up with Close & Recalculate Data options. Here if selected Closed option then it saves the COH without Recalculating the Txn Data and shows

success message as Portfolio updated successfully without re-calculating the transaction data! where as if selected Recalculate Data option

then it Recalculates the Transaction Data, Buy Sell Prompt Data & BSPL Data Respectively by showing their success messages. - Done, marking

it as closed

#6 - February 28, 2025 09:30 AM - Palash Tembhurnekar

- Status changed from Resolved to Closed

#7 - March 01, 2025 09:06 AM - supportadmin atulsia

- Status changed from Closed to In Progress

After I click save, it takes 3-4 seconds for popup to come about "Re-calculate the transaction data?" and meanwhile restless person like me keeps

clicking save multiple times. You need to add loader to show progress if there's a delay. or disable the button and may be show loader inside a

button. I have seen this in latest apps.

#8 - March 03, 2025 09:41 AM - Dinesh Pedagada

- Status changed from In Progress to Resolved

#9 - March 03, 2025 03:32 PM - Palash Tembhurnekar

Verified on staging web app still not displaying the loader on Save button when clicked on it. Reopening bug

#10 - March 03, 2025 03:33 PM - Palash Tembhurnekar

- Status changed from Resolved to New

#11 - March 03, 2025 05:34 PM - Dinesh Pedagada
- Status changed from New to In Progress

#12 - March 03, 2025 05:36 PM - Dinesh Pedagada

- Status changed from In Progress to Resolved

#13 - March 04, 2025 05:15 AM - Dinesh Pedagada

In the save button a loader has been added until the re-calculate pop-up rises.

#14 - March 04, 2025 01:17 PM - Palash Tembhurnekar

Verified on staging web app, Now in COH update when clicked on the Save button then first it shows the loader on Save button then it shows the 

re-calculate pop-up. Done, marking it as closed

#15 - March 04, 2025 01:18 PM - Palash Tembhurnekar

- Status changed from Resolved to Closed
